//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.77-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1312
// INTERFACE : I2C
// MCU 		 : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCL   PG12SCL
// SDA    PD5SDA


#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t=' ';
	delay_init();
	OLED_Init();
	OLED_ColorTurn(0);//0 normal display 1 negative display
	LED0=0;
	while(1)
	{
		OLED_ShowPicture(0,0,128,64,BMP1,1);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
    OLED_ShowChinese(0,0,0,16,1);//
		OLED_ShowChinese(18,0,1,16,1);//
		OLED_ShowChinese(36,0,2,16,1);//
		OLED_ShowChinese(54,0,3,16,1);//
		OLED_ShowChinese(72,0,4,16,1);//
		OLED_ShowChinese(90,0,5,16,1);//
		OLED_ShowString(8,16,"EASTRISING",16,1);
		OLED_ShowString(20,32,"buydisplay",16,1);
		OLED_ShowString(0,48,"ASCII:",16,1);  
		OLED_ShowString(63,48,"CODE:",16,1);
		OLED_ShowChar(48,48,t,16,1);//ASCII  
		OLED_ShowNum(104,48,t,3,16,1);
				t++;
		if(t>'~')t=' ';
		OLED_Refresh();
		delay_ms(500);

	}
}

